MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024511Community[OCCT] OCCT:Visualizationpublic2014-01-02 21:342014-05-05 13:37
Reporterbarbier 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.7.0 
Target Version[OCCT] 6.7.1Fixed in Version[OCCT] 6.7.1 
Summary0024511: Remove obsolete Image_PixelAddress.cxx
DescriptionHello,

Image_PixelAddress.cxx had been removed from src/Image/FILES in commit 2361d7e (issue 0023486), but the file had not been deleted.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0023486closedkgv Open CASCADE Remove obsolete image manipulation classes 
related to 0012782closedapv Open CASCADE Redundant directories and files in Products and ros 

-  Notes
(0027375)
barbier (developer)
2014-01-02 21:38

Hello,

Branch CR24511 has been pushed, please review
(0027382)
kgv (developer)
2014-01-03 12:41

No remarks, please test.
(0027384)
abv (manager)
2014-01-03 15:10

I have pushed additional commit to the same branch removing missing units from UDLIST and adding present files to FILES list in Cocoa and DrawResources units
(0027410)
mkv (tester)
2014-01-09 11:19

Dear BugMaster,

Branch CR24511 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 39e351945145b5dd21f422353e13b5c05f3973e7

Number of compiler warnings:

occt component :
Linux: 103 (104 on master)
Windows: 1 (1 on master)

products component :
Linux: 21 (21 on master)
Windows: 2 (2 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 356140352 / 358534020
Total CPU difference: 50171.75000000012 / 42225.40000000006

Testing on Windows:
Total MEMORY difference: 413506252 / 412780048
Total CPU difference: 29614.96875 / 31505.765625

There are not differences in images found by testdiff.

- Related Changesets
occt: master b467a870
Timestamp: 2014-01-09 08:14:05
Author: barbier
Committer: bugmaster
Details ] Diff ]
0024511: Remove obsolete Image_PixelAddress.cxx

Image_PixelAddress.cxx had been removed from src/Image/FILES in CR23486 (commit 2361d7e), but the file had not been deleted.

Correction of inconsistent file and units lists (units DebugTools and OpenCL are removed from UDLIST; files EXTERNLIB and SCAN.tcl added to FILES list in Cocoa and DrawResources units)
mod - adm/UDLIST Diff ] File ]
mod - src/Cocoa/FILES Diff ] File ]
mod - src/DrawResources/FILES Diff ] File ]
rm - src/Image/Image_PixelAddress.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-01-02 21:34 barbier New Issue
2014-01-02 21:34 barbier Assigned To => bugmaster
2014-01-02 21:38 barbier Note Added: 0027375
2014-01-02 21:39 barbier Status new => resolved
2014-01-03 12:39 kgv Relationship added related to 0023486
2014-01-03 12:41 kgv Note Added: 0027382
2014-01-03 12:41 kgv Severity minor => trivial
2014-01-03 12:41 kgv Status resolved => reviewed
2014-01-03 12:41 kgv Category OCCT Release:BUILD => OCCT:Visualization
2014-01-03 12:41 kgv Product Version 6.7.1 => 6.7.0
2014-01-03 12:41 kgv Target Version => 6.7.1
2014-01-03 15:10 abv Note Added: 0027384
2014-01-03 15:10 abv Relationship added related to 0012782
2014-01-08 11:26 mkv Assigned To bugmaster => mkv
2014-01-09 11:19 mkv Note Added: 0027410
2014-01-09 11:20 mkv Test case number => Not needed
2014-01-09 11:20 mkv Assigned To mkv => bugmaster
2014-01-09 11:20 mkv Status reviewed => tested
2014-01-13 10:43 bugmaster Changeset attached => occt master b467a870
2014-01-13 10:43 bugmaster Status tested => verified
2014-01-13 10:43 bugmaster Resolution open => fixed
2014-05-05 13:36 user533 Status verified => closed
2014-05-05 13:37 user533 Fixed in Version => 6.7.1


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker